Bug 144380 - Experimental Features - Forever loop for Deleting all columns
Summary: Experimental Features - Forever loop for Deleting all columns
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords: perf
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2021-09-08 13:47 UTC by elias estatistics
Modified: 2022-02-15 21:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Experimental Features - Forever loop for Deleting all columns (9.10 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-09-08 13:47 UTC, elias estatistics
Details

Note You need to log in before you can comment on or make changes to this bug.
Description elias estatistics 2021-09-08 13:47:05 UTC
Created attachment 174890 [details]
Experimental Features - Forever loop for Deleting all columns

Experimental Features - Forever loop for Deleting all columns
(even if it is unselected columns 4k+).

Try to delete all columns in calc

1) Cntl+A (selected all)
2) Delete all Columns
3) With experimental features off, it takes some seconds
- With exp. on, it does a forever loop non-stop.
Comment 1 Xisco Faulí 2021-09-29 10:03:49 UTC
Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ac34bafb6cad056f843ff3ff0dee293bf1e18c56
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded Jumbo
Comment 2 Commit Notification 2022-02-14 15:30:18 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7adb3757944452a0f3a1a12fee1dd504eb90a1df

don't gradually move columns to a large distance (tdf#144380)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.